Bug 205145 - rpc.rquotad -p allows ports > 65535, generating wrong ports in return.
rpc.rquotad -p allows ports > 65535, generating wrong ports in return.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: quota (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-04 16:28 EDT by Jose Plans
Modified: 2010-12-02 09:33 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2007-0289
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-07 20:17:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch fixing the problem (464 bytes, patch)
2006-09-04 16:28 EDT, Jose Plans
no flags Details | Diff

  None (edit)
Description Jose Plans 2006-09-04 16:28:42 EDT
Description of problem:

  When an invalid port number that exceeds 0x10000(65536) is specified by the
  rpc.rquotad command, an improper port number is generated.
  
  ** port number definition: unsigned short
  
  ex.) specified number: 65537(0x10001)
   ** generated port number : 1 → 65537(0x10001) - 65536(0x10000)
  
[root@RHEL4U4]# rpc.rquotad -p 65537
[root@RHEL4U4]#
[root@RHEL4U4]# lsof -i
COMMAND     PID USER   FD   TYPE DEVICE SIZE NODE NAME
......................................................................... ......
rpc.rquot 23483 root    3u  IPv4  59367       UDP *:tcpmux
rpc.rquot 23483 root    4u  IPv4  59372       TCP *:tcpmux (LISTEN)
[root@RHEL4U4]#
[root@RHEL4U4]# less /etc/services | grep tcpmux
tcpmux          1/tcp                           # TCP port service multiplexer
tcpmux          1/udp                           # TCP port service multiplexer
[root@RHEL4U4]#
[root@RHEL4U4]# rpc.rquotad -p 0
rpc.rquotad: Illegal port number: 0
Version-Release number of selected component (if applicable):


How reproducible:
Always.

Steps to Reproduce:
1.  rpc.rquotad -p 65537
2.
3.
  
Actual results:
Wrong port numbers.

Expected results:
A limit on the allowed port range.
Comment 1 Jose Plans 2006-09-04 16:28:42 EDT
Created attachment 135511 [details]
Patch fixing the problem
Comment 3 Steve Dickson 2006-11-01 21:08:52 EST
fixed in quota-3.12-6.el4
fixed in quota-3.13-1.2.3.2.el5
fixed in quota-3.13-1.2.3.2.fc6
fixed in quota-3.13-1.2.3.1.fc7
Comment 9 Red Hat Bugzilla 2007-05-07 20:17:58 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0289.html

Note You need to log in before you can comment on or make changes to this bug.